<!DOCTYPE html>


<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KESAN</title>


    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="css/heroic.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <title>KESAN</title>
    <link rel="stylesheet" href="css/help_people.css">
</head>

<body>
    <!-- header -->
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
                <a class="navbar-brand" href="/">Kesan</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="{{ Request::is('/') ? 'active' : '' }}">
                        <a href="/">Home</a>
                    </li>
                    <li class="{{ Request::is('rfids*') ? 'active' : '' }}">
                        <a href="/scan">Rfid</a>
                    </li>
                    <li class="{{ Request::is('about') ? 'active' : '' }}">
                        <a href="/about">About</a>
                    </li>
                    <!--
                    <li class="{{ Request::is('contact_us') ? 'active' : '' }}">
                        <a href="/contact">Contact Us</a>
                    </li>
                    -->

                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>



    <div class="container" id="bottom-spacing">
        <div class="row">
            <div class="col-md-12 section-heading text-center">
                <h2 class="to-animate">Scan RFID</h2>
                <div class="row" id="jump-margin">
                    <div class="col-md-8 col-md-offset-2 subtext to-animate">
                        <h3>Kansei Engginering-based System for Parametrization of Human Factors</h3>

                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-3">
            </div>
            <div class="col-md-6">
                <div class="fh5co-person text-center">
                    <figure>
                        <img src="img/rfid.svg" alt="Image">
                    </figure>


                    <!-- JIKA PAKE MANUAL PAKE BUTTON BUAT PINDAH NYA -->
                    <form method="get" id="form" enctype="multipart/form-data">
                        <label for="Name"> </label>
                        <br>
                        <select id="comport">
                    <option>Pilih Comport</option>
                  </select>
                        <br>
                        <input type="text" id="myInput" placeholder="RFID CODE" name="rfidcode" value="" id="spacing-left">
                        <input id="check" type="checkbox" onclick="myFunction()">Show Rfid
                        <br/>
                        <br>

                        <!-- JIKA PAKE ARDUUINO LANSGUNG OTOMATIS KE PARSE.BLADE.PHP -->

                    </form>

                    <br>
                    <h6>For registering new RFID click this <a href="{{ url('/register') }}"> link </a></h6>
                </div>
            </div>
            <div class="col-md-3">
            </div>
        </div>

    </div>

</body>
<div class="container-fluid" id="spacing-bottom">
</div>
<!-- Footer -->
<!-- Footer -->
<div class="footer-ex">

    <div class="container">
        <p class="m-0 text-center text-white text-middle">Copyright &copy;2019 KESAN</p>

    </div>
    <!-- /.container -->
</div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<script>
    alert('dfdf')
    var flagPort = false;
    var comport;
    var status;
    $(document).ready(function() {

        document.getElementById("myInput").value = "";
        changeTypeRfid();

        rfidComport();
        // setInterval(function() {

        //     // alert('sd')
        //     if (flagPort == false) {

        //         rfidComport();
        //         selectComport();

        //     }

        // }, 1000);

    });
    window.onload = timedRefresh(5000);

    function changeTypeRfid() {
        var type = window.localStorage.getItem('type');
        if (type != null) {
            var x = document.getElementById("myInput");
            if (type == "text") {
                document.getElementById("check").checked = true;
            }
            x.type = type;
        }
    }

    function rfidComport() {
        alert('fd')
        var request = $.ajax({
            type: "GET",
            url: "/comport"
        });
        request.done(function(data, textStatus, jqXHR) {
            var str;
            var result;
            var comport = document.getElementById("comport");

            for (var i = 0; i < data.length; i++) {
                str = data[i];
                result = str.match(/COM[0-9]{1,2}/);
                if (result != null) {
                    var select = document.getElementById("comport");
                    var length = select.options.length;
                    for (var i = 1; i < length; i++) {

                        select.options[i] = null;
                    }
                    var option = document.createElement("option");
                    option.text = result;
                    comport.add(option);

                }


            }
        });
        // request.fail(function(data, textStatus, jqXHR) {
        //     // alert('error')
        // });

    }
</script>
<script>
    var flagPort = false;
    var comport;
    var status;
    $(document).ready(function() {

        // document.getElementById("myInput").value = "";
        // changeTypeRfid();

        // rfidComport();
        // setInterval(function() {

        //     // alert('sd')
        //     if (flagPort == false) {

        //         rfidComport();
        //         selectComport();

        //     }

        // }, 1000);

    });

    window.onload = timedRefresh(5000);



    function selectComport() {
        var e = document.getElementById("comport");
        var selectComport = e.options[e.selectedIndex].value;
        //
        if (selectComport != 'Pilih Comport') {
            document.getElementById("comport").selectedIndex = e.selectedIndex;
            flagPort = true;
            rfidRead(selectComport);
        }

    }

    function rfidComport() {
        var request = $.ajax({
            type: "GET",
            url: "/comport"
        });
        request.done(function(data, textStatus, jqXHR) {
            var str;
            var result;
            var comport = document.getElementById("comport");

            for (var i = 0; i < data.length; i++) {
                str = data[i];
                result = str.match(/COM[0-9]{1,2}/);
                if (result != null) {
                    var select = document.getElementById("comport");
                    var length = select.options.length;
                    for (var i = 1; i < length) {

                        select.options[i] = null;
                    }
                    var option = document.createElement("option");
                    option.text = result;
                    comport.add(option);

                }


            }
        });
        request.fail(function(data, textStatus, jqXHR) {
            // alert('error')
        });

    }

    function rfidRead(selectComport) {

        var request = $.ajax({
            type: "GET",
            url: "/rfidRead/" + selectComport
        });
        request.done(function(data, textStatus, jqXHR) {
            var data = data.data;
            data = data.replace(/\s/g, '');

            document.getElementById("myInput").value = data;
            submitRfid(data);
            flagPort = false;

        });
        request.fail(function(data, textStatus, jqXHR) {
            //alert('error')
        });

    }

    function timedRefresh(timeoutPeriod) {
        //setTimeout("location.reload(true);",timeoutPeriod);
    }

    function changeTypeRfid() {
        var type = window.localStorage.getItem('type');
        if (type != null) {
            var x = document.getElementById("myInput");
            if (type == "text") {
                document.getElementById("check").checked = true;
            }
            x.type = type;
        }
    }

    function myFunction() {
        var x = document.getElementById("myInput");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
        window.localStorage.setItem('type', x.type);
    }

    function submitRfid(data) {
        var input = data;

        $.post("http://kansei-kesan.tp.ugm.ac.id/rfid.php", {
            isRFID: 1,
            codeRfid: input
        }, function(result) {
            var hasil = JSON.parse(result);
            $.post("http://kansei-kesan.tp.ugm.ac.id/rfid.php", {
                isSettime: 1,
                codeRfid: input
            }, function(result2) {
                if (hasil[1] == 1 || hasil[1] == 2) {} else {
                    window.localStorage.setItem('name', hasil[0]);
                    window.location.href = "/user";
                }
            });

        });

    }
</script>

</html>